@echo off
if not exist vgms\*.vgz goto buildrom

echo Decompressing VGZs...
for %%F in (vgms\*.vgz) do ren "%%F" "%%~nF.vgm.gz"
cd vgms
..\tools\gzip -d -q *.gz
cd ..

:buildrom

if not exist vgms\*.vgm goto novgms

echo Building ROM...
tools\gbfs vgmsongs.gbfs vgms\*.vgm > nul
if errorlevel 1 goto error
copy /b /y gbavgmplayer.gba+vgmsongs.gbfs vgm.gba > nul
if errorlevel 1 goto error
del vgmsongs.gbfs
if not exist vgm.gba goto error
echo vgm.gba created!
goto end

:novgms
echo You ened to put some VGM or VGZ files into the vgms\ directory.

:error
echo It looks like there was a problem creating the file.
pause
goto end

:end
